Name:           python-docplex
Version:        2.30.251
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The IBM Decision Optimization CPLEX Modeling for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.ibm.com/cloud/decision-optimization-for-watson-studio
Source:         %{pypi_source docplex}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'docplex' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-docplex
Summary:        %{summary}

%description -n python3-docplex %_description


%prep
%autosetup -p1 -n docplex-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-docplex -f %{pyproject_files}


%changelog
%autochangelog